> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dolphinflashcards.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create New Shared Folder



## OpenAPI

````yaml post /create-shared-folder
openapi: 3.1.0
info:
  title: DolphinFlashcardApp API
  version: '1.0'
  summary: Manage flashcards
  description: >-
    Set up user accounts, create or manage flashcards, set learning goals, and
    track performances with user's heatmap and streak data. Data is available in
    JSON format only. <br></br>**Note**: All parameters are case-sensitive.
    Request body parameters are required, but the query parameters are
    optional. 
  contact:
    name: Dolphin Flashcards
    url: https://dolphinflashcards.com/contact
    email: dolphinflashcards@outlook.com
  license:
    name: MIT
    url: https://github.com/jacob-macleod/Dolphin-Flashcard-App/blob/main/LICENSE
servers:
  - url: http://dolphinflashcards.com/api
    description: baseurl
security: []
tags:
  - name: Account
    description: Groups the endpoints required to create an account.
  - name: Card management
    description: Groups the endpoints required to create and manage flashcards.
  - name: Goal
    description: Groups the endpoints required to create and manage goals.
  - name: Statistics
    description: Groups the endpoints required to track heatmap and streak.
paths:
  /create-shared-folder:
    post:
      tags:
        - Card management
      summary: Create New Shared Folder
      operationId: create-shared-folder
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                jwtToken:
                  type: string
                folderName:
                  type: string
                description:
                  type: string
              required:
                - jwtToken
                - folderName
                - description
              example:
                jwtToken: ...
                folderName: Advanced Spanish Vocabulary
                description: Comprehensive Spanish vocabulary for advanced learners
      responses:
        '200':
          description: Shared folder created successfully
          content:
            application/json:
              schema:
                example:
                  success: true
                  sharedFolderID: '12345'
                  inviteCode: abc123xyz
        '401':
          description: Invalid JWT
        '500':
          description: Server error

````